/* *****************************************************************************
 * libg1m/format/mcs/picture.h -- description of the MCS picture format.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_FORMAT_MCS_PICTURE_H
# define LIBG1M_FORMAT_MCS_PICTURE_H
# pragma pack(1)

/* Captures start with a simple header: */

struct mcs_captureheader {
	/* the width (0x80) */
	uint16_t width;

	/* the height (0x40) */
	uint16_t height;
};

/* Then the image follows (0x400 for a 0x80*0x40px image).
 * A picture is the same that an capture, but without the header and containing
 * two 128x64 images (0x800 bytes).
 *
 * Pictures don't have any header: it's just two 128x64 images (packed 1-bit)
 * and that's all. */

# pragma pack()
#endif /* LIBG1M_FORMAT_MCS_PICTURE_H */
