/* *****************************************************************************
 * core/strerror.c -- error strings.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#include <libg1m/internals.h>

/**
 *	g1m_error_strings:
 *	String descriptions of libg1m errors.
 *
 *	This list MUST evolve whenever the g1m_error_t enumeration
 *	is updated. Could cause invalid error strings otherwise,
 *	or segfaults!
 */

const char *g1m_error_strings[] = {
	[g1m_noerror] =
	"no error have been encountered",

	[g1m_error_nostream] =
	"sent stream was NULL",
	[g1m_error_noread] =
	"given stream was not readable",
	[g1m_error_noseek] =
	"given stream was not seekable",

	[g1m_error_wrong_type] =
	"was not of the expected type",

	[g1m_error_magic] =
	"is probably not a file libg1m can parse, or is corrupted",
	[g1m_error_eof] =
	"unexpected EOF",
	[g1m_error_alloc] =
	"could not allocate memory",

	[g1m_error_op] =
	"operation is unsupported for this type"
};
